###############################################################################################################

#启用监控
#management:
#  endpoints:
#    web:
#      exposure:
#        include:
#          - "*"  # 开放所有端点health，info，metrics，通过actuator/+端点名就可以获取相应的信息。默认打开health和info
#  endpoint:
#    health:
#      #未开启actuator/health时，我们获取到的信息是{"status":"UP"}，status的值还有可能是 DOWN。开启后打印详细信息
#      show-details:                       always
###############################################################################################################

#eureka:
#  client:                                   #客户端注册进eureka服务列表内
#    service-url:
#      defaultZone:                          http://172.17.11.174:8761/eureka
#
#  instance:
#    # 实例ID
#    # instance-id:                            ${spring.application.name}:${server.port}:${project.version}
#    # 优先使用IP地址方式进行注册服务
#    prefer-ip-address:                      true


server:
  port: 8080

spring:
  application:
    name:                               datacenter

  mvc:
    favicon:
      enabled:                          true

  jmx:
    default-domain:                     datacenter

  datasource:
    name:                               datacenter
    type:                               com.alibaba.druid.pool.DruidDataSource
    driver-class-name:                  org.postgresql.Driver

  jackson:
    date-format:                        yyyy-MM-dd HH:mm:ss
    time-zone:                          Asia/Shanghai
    default-property-inclusion:         non_null
    # 首字母大写
#    property-naming-strategy:           com.fasterxml.jackson.databind.PropertyNamingStrategy.PascalCaseStrategy
    # 以下划线分隔全小写的单词
    property-naming-strategy:           com.fasterxml.jackson.databind.PropertyNamingStrategy.LowerCaseWithUnderscoresStrategy
    mapper:
      # 属性按字母顺序输出
      sort_properties_alphabetically:   true

# spring-doc 配置
springdoc:
  # springdoc 扫描的包，多个包之间使用逗号分隔
  packagesToScan:                           com.persagy.server
  swagger-ui:
    # API 组排序方式：asc 升序，desc 降序
    groups-order:                           asc
    # 标识排序方式：alpha 按字母升序排列
    tags-sorter:                            alpha
    # API 接口排序方式：alpha 按字母升序排列，method 按方法的定义顺序。
    operations-sorter:                      alpha

mybatis:
  typeAliasesPackage:                   cn.sagacloud.server.datacenter.entities
